package cn.iocoder.yudao.module.configure.convert.tracelinkitem;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;

import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import cn.iocoder.yudao.module.configure.controller.admin.tracelinkitem.vo.*;
import cn.iocoder.yudao.module.configure.dal.dataobject.tracelinkitem.TraceLinkItemDO;

/**
 * 溯源模板环节item Convert
 *
 * @author 芋道源码
 */
@Mapper
public interface TraceLinkItemConvert {

    TraceLinkItemConvert INSTANCE = Mappers.getMapper(TraceLinkItemConvert.class);

    TraceLinkItemDO convert(TraceLinkItemCreateReqVO bean);

    TraceLinkItemRespVO convert(TraceLinkItemDO bean);

    List<TraceLinkItemRespVO> convertList(List<TraceLinkItemDO> list);

    PageResult<TraceLinkItemRespVO> convertPage(PageResult<TraceLinkItemDO> page);

    List<TraceLinkItemExcelVO> convertList02(List<TraceLinkItemDO> list);

}
